﻿using System;

namespace SharpRss.Models
{
    public class FeedModel
    {
        public FeedModel() { }
        public FeedModel(string rssUrl)
        {
            Url = rssUrl;
            Id = Guid.NewGuid().ToString();
            Copyright = "EMPTY";
            ImageUrl = "EMPTY";
        }
        public string Id { get; set; } = string.Empty;
        public string Url { get; set; } = string.Empty;
        public string? GroupId { get; set; }
        public string FeedType { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public string Language { get; set; } = string.Empty;
        public string Copyright { get; set; } = "EMPTY";
        public DateTimeOffset DateAdded { get; set; }
        public DateTimeOffset LastUpdated { get; set; }
        public string ImageUrl { get; set; } = "EMPTY";
    }
}
